package router

import (
	"cold-delivery/app/admin/controller"
	"cold-delivery/common/actions"
	"github.com/gin-gonic/gin"
	jwt "gogs.baozhida.cn/zoie/OAuth-core/pkg/jwtauth"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerAddressRouter)
}

// 需认证的路由代码
func registerAddressRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	cont := controller.AddressController{}
	r := v1.Group("/address").Use(authMiddleware.MiddlewareFunc()).Use(actions.PermissionAction())
	{
		r.GET("", cont.GetPage)
		r.GET("/:id", cont.Get)
		r.POST("", cont.Insert)
		r.PUT("", cont.Update)
		r.DELETE("", cont.Delete)
	}
}
